Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.appconn.ldap
Interface RemoveAttributesValues

All Known Implementing Classes:
  RemoveAttributesValuesImpl

    public interface RemoveAttributesValues

Remove Attributes Values interface. This defines the methods for removing attributes which is part of the Modify operation.

Version:
  $Revision: 1.3 $
Author:

Method Summary
`EntryOptions` | `getEntryOptions()` Method to retrieve the options set for the entry
`STCEntry` | `getSTCEntry()` Method to retrieve the entry from which the attribute is to be removed
`boolean` | `performRemoveAttributesValues()` Method that performs the removal of the attribute from the entry
`void` | `reset()` Method to reset the values

Method Detail

### getSTCEntry

    STCEntry getSTCEntry()
                         throws LDAPApplicationException

  Method to retrieve the entry from which the attribute is to be removed

  Returns:
    the STCEntry object associated with this instance
  Throws:
    `LDAPApplicationException` - if there is no connection is available to the LDAP server.

### getEntryOptions

    EntryOptions getEntryOptions()
                                 throws LDAPApplicationException

  Method to retrieve the options set for the entry

  Returns:
    the EntryOptions object associated with this instance
  Throws:
    `LDAPApplicationException` - if there is no connection is available to the LDAP server.

### performRemoveAttributesValues

    boolean performRemoveAttributesValues()
                                          throws LDAPApplicationException

  Method that performs the removal of the attribute from the entry

  Returns:
    true if the attribute was removed successfully
  Throws:
    `LDAPApplicationException` - if there is no connection is available to the LDAP server or any problem in executing the operation.

### reset

    void reset()

  Method to reset the values

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD